stories:
- story: User joins conversation to vote
  steps:
  - user: |
      ola
    intent: welcome
  - slot_was_set:
    - conversation_id: null
  - action: action_get_conversation
  - slot_was_set:
    - conversation_id
    - conversation_has_comments_to_vote: true
  - action: action_start_participatory_process
  - action: vote_form
  - active_loop: vote_form

- story: User voted in all comments and try to vote again in the same conversation
  steps:
  - user: |
      ola
    intent: welcome
  - slot_was_set:
    - conversation_id: null
  - action: action_get_conversation
  - slot_was_set:
    - conversation_id
    - conversation_has_comments_to_vote: false
  - action: utter_thanks_participation
  - action: action_restart

- story: User voted in all comments during the participatory process
  steps:
  - user: |
      ola
    intent: welcome
  - slot_was_set:
    - conversation_id: null
  - action: action_get_conversation
  - slot_was_set:
    - conversation_id
  - slot_was_set:
    - conversation_has_comments_to_vote: true
  - action: action_start_participatory_process
  - action: vote_form
  - active_loop: vote_form
  - slot_was_set:
    - vote
  - slot_was_set:
    - comment_confirmation
  - slot_was_set:
    - comment

- story: User stop voting
  steps:
  - user: |
      ola
    intent: welcome
  - slot_was_set:
    - conversation_id: null
  - action: action_get_conversation
  - slot_was_set:
    - conversation_id
  - slot_was_set:
    - conversation_has_comments_to_vote: true
  - action: action_start_participatory_process
  - action: vote_form
  - active_loop: vote_form
  - intent: stop
  - action: utter_stoped_participation
  - action: action_deactivate_loop
  - active_loop: null
  - action: action_restart

- story: EJ API is unavailable
  steps:
  - user: |
      eae
    intent: welcome
  - slot_was_set:
    - conversation_id: null
  - action: action_get_conversation
  - slot_was_set:
    - ej_client_connection_error: true
  - action: utter_ej_communication_error
  - action: action_restart
